%define oname hypothesis

%def_with python3

Name: python-module-%oname
Version: 2.0.0
Release: alt1
Summary: A library for property based testing
License: MPLv2
Group: Development/Python
Url: https://pypi.python.org/pypi/hypothesis
BuildArch: noarch

# https://github.com/HypothesisWorks/hypothesis-python.git
Source: %name-%version.tar

BuildRequires(pre): rpm-build-python
BuildRequires: python-module-setuptools-tests python-module-sphinx
BuildRequires: python-module-numpy python-module-flaky python-module-pytz python-module-django
BuildRequires: python-module-django-tests python-module-fake-factory python-modules-sqlite3
%if_with python3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools-tests python3-module-sphinx
BuildRequires: python3-module-numpy python3-module-flaky python3-module-pytz python3-module-django
BuildRequires: python3-module-django-tests python3-module-fake-factory python3-modules-sqlite3
%endif

%description
Hypothesis is an advanced testing library for Python. It lets you write tests
which are parametrized by a source of examples, and then generates simple and
comprehensible examples that make your tests fail. This lets you find more bugs
in your code with less work.

%package -n python3-module-%oname
Summary: A library for property based testing for Python 3
Group: Development/Python3

%description -n python3-module-%oname
Hypothesis is an advanced testing library for Python. It lets you write tests
which are parametrized by a source of examples, and then generates simple and
comprehensible examples that make your tests fail. This lets you find more bugs
in your code with less work.

%prep
%setup

# remove shebang, mergedbs gets installed in sitelib
sed -i -e 1,2d src/hypothesis/tools/mergedbs.py

%if_with python3
cp -a . ../python3
%endif

%if_with docs
%prepare_sphinx doc
ln -s ../objects.inv doc/en/
%endif

%build
%python_build

%if_with python3
pushd ../python3
%python3_build
popd
%endif

sphinx-build -b man -d docs/_build/doctrees docs docs/_build/man

%install
%if_with python3
pushd ../python3
%python3_install
popd
%endif

%python_install

%__install -Dp -m 644 docs/_build/man/hypothesis.1 \
             %buildroot%_mandir/man1/hypothesis.1

# tests are failed on 32 bit:
# E   FailedHealthCheck: Data generation is extremely slow: Only produced 5 valid examples in 1.07 seconds.
# Try decreasing size of the data yo're generating (with e.g.average_size or max_leaves parameters).
# E   See http://hypothesis.readthedocs.org/en/latest/healthchecks.html for more information about this.
%ifarch x86_64
%check
rm -rf tests/py3 tests/django/toystore
PYTHONPATH=%buildroot%python_sitelibdir py.test

%if_with python3
pushd ../python3
rm -rf tests/py2 tests/django/toystore
PYTHONPATH=%buildroot%python3_sitelibdir py.test-3.5
popd
%endif
%endif

%files
%doc *.rst LICENSE.txt
%python_sitelibdir/*
%_mandir/man1/hypothesis.1*

%if_with python3
%files -n python3-module-%oname
%doc *.rst
%python3_sitelibdir/*
%_mandir/man1/hypothesis.1*
%endif

%changelog
* Wed Feb 27 2019 Lenar Shakirov <snejok@altlinux.ru> 2.0.0-alt1
- v2.0.0

* Tue Aug 15 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 3.18.1-alt1
- Updated to upstream version 3.18.1.

* Thu Jan 19 2017 Anton Midyukov <antohami@altlinux.org> 3.6.1-alt1
- Initial build for ALT Linux Sisyphus.
